> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/ios/setup-luciq-for-ios/setup-bug-reporting/setup-extended-bug-report.md).

# Setup Extended Bug Report

## Enabling the Extended Bug Report

By default, the Extended Bug Report mode is disabled. When enabling the Extended Bug Report, you can set whether the additional fields are required or optional.

{% tabs %}
{% tab title="Swift" %}

```swift
BugReporting.extendedBugReportMode = .enabledWithRequiredFields
```

{% endtab %}

{% tab title="Objective-C" %}

```objective-c
LCQBugReporting.extendedBugReportMode = LCQExtendedBugReportModeEnabledWithRequiredFields;
```

{% endtab %}
{% endtabs %}

Here are the possible modes you can set for Extended Bug Reports.

{% tabs %}
{% tab title="Swift" %}

```javascript
//Disable extended bug report mode
.disabled
//Enable extended bug report mode and make all additional fields required 
.enabledWithRequiredFields
//Enable extended bug report mode and make all additional fields optional
.enabledWithOptionalFields
```

{% endtab %}

{% tab title="Objective-C" %}

```python
//Disable extended bug report mode
LCQExtendedBugReportModeDisabled
//Enable extended bug report mode and make all additional fields required 
LCQExtendedBugReportModeEnabledWithRequiredFields
//Enable extended bug report mode and make all additional fields optional
LCQExtendedBugReportModeEnabledWithOptionalFields
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/ios/setup-luciq-for-ios/setup-bug-reporting/setup-extended-bug-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
